<?php

/* -----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+----- */

	class maml_windowsize extends prototype_tag {
//		public $title;

		protected $doctext = <<<'DOCBLOCK'
<p><strong>Description:</strong> Creates widget that gives a live readout of the widow's dimensions.</p>
DOCBLOCK;
// Fix BBEdit's syntax coloring
		function begin(){
			echo <<<'ENDWINSIZE'
	<div style="border: 1px solid #AAA; width: 1.5in; clear: both; margin: 0.5em;">
		<script type="text/javascript">
			document.write('<div id="dimensions_div" style="padding:1em;"></div>');
			function report_dimensions () {
				fv_TheElement = 'dimensions_div'
				var width = window.innerWidth
					|| document.documentElement.clientWidth
					|| document.body.clientWidth;

				var height = window.innerHeight
					|| document.documentElement.clientHeight
					|| document.body.clientHeight;

				document.getElementById(fv_TheElement).innerHTML = 'width: ' + width + '<br />height: ' + height + '<br />';
			}
			window.addEventListener("resize", report_dimensions, false);
			report_dimensions();
		</script>
	</div>
ENDWINSIZE;
		}
		
	}
/* -----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+----- */
	class maml_vardump extends prototype_tag {
	
		public $global='gv_SiteGlobals';
		public $height='24em';
		
		protected  $doctext = <<<'DOCBLOCK'
<p><strong>Description:</strong> Dump out contents of a global variable. Set the global attribute to the name of the global 
variable - without the dollar sign (default is "gv_SiteGlobals"). Results are placed in a scrollable &lt;pre&gt; area, the default height
of which is 24em.</p>
DOCBLOCK;
	
		function begin(){
			global $$this->global;
			echo "<pre style=\"border: 1px solid #AAA; height: {$this->height}; overflow: auto; margin: 0.5em; padding: 0.5em; \">";
			var_dump(${$this->global});
			echo '</pre><br />';
		}

	
	}
	
	
/* -----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+----- */
	class maml_quickquery extends prototype_tag {
	
		public $query='select * from molly_test';
		public $height='24em';
		
		protected  $doctext = <<<'DOCBLOCK'
<p><strong>Description:</strong> Perform a query and dump out the results using the PHP var_dump function (default query is "select * from molly_test"). 
This tag should <strong>not</strong> be used for user-viewed web pages. Results are placed in a scrollable &lt;pre&gt; area, the default height
of which is 24em.</p>
DOCBLOCK;
	
		function begin(){
			global $gv_SiteGlobals, $gv_TokenVariables, $gv_Config;
			
			$this->query =  m_Interpolate($this->query, $gv_Config); // interpolate *[placeholders]*
			$this->query =  m_Interpolate($this->query, $_SESSION['tokens']);
//			echo $this->query;
			
			$fv_QueryResults = m_FetchDBHash($this->query);
			echo "<pre style=\"border: 1px solid #AAA; height: {$this->height}; overflow: auto; margin: 0.5em; padding: 0.5em; \">";
			var_dump($fv_QueryResults);
			echo '</pre><br />';
		}

	
	}
	
	

?>